## wmii 2

=== Makefile ===
########################################################################
# wmii - window manager improved 2
#   (C)opyright MMIV-MMV Anselm R. Garbe
#

include config.mk

SUBDIRS     = liblitz libixp libwmii base util

SRC         = Makefile config.mk LICENSE README CHANGES ANNOUNCE

DOC         = doc/welcome.txt

BIN         = base/wmiiwm util/wmibar util/wmimenu util/wmir \
              util/wmikeys util/wmifs util/wmiplumb util/wmiwarp \
              util/wmira util/wmirefcard

DEST_BIN    = wmii wmiiwm wmibar wmimenu wmir wmira wmifs wmikeys \
              wmiplumb wmiwarp wmirefcard

RC          = rc/bar rc/menu rc/keys rc/rc rc/rc.conf rc/status.sh rc/wm

SHARE       = doc/welcome.txt

MAN1        = base/wmii.1 util/wmibar.1 util/wmifs.1 util/wmimenu.1 \
              util/wmikeys.1 util/wmir.1

MAN5        = rc/wmii.rc.5

DEST_MAN    = man1/wmii.1 man1/wmibar.1 man1/wmifs.1 man1/wmimenu.1 \
              man1/wmikeys.1 man1/wmir.1 man5/wmii.rc.5


########################################################################
# Target definitions
#

all:
	@echo -------------------------------------------------------
	@echo wmii build options:
	@echo "LIBS     = ${LIBS}"
	@echo "INCLUDES = ${INCLUDES}"
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "DRAW     = ${DRAW}"
	@echo "CC       = ${CC}"
	@echo -------------------------------------------------------
	@for i in ${SUBDIRS}; do cd $$i; ${MAKE} || exit; cd ..; done

distcheck: clean all dist

indent:
	@for i in ${SUBDIRS}; do cd $$i; ${MAKE} indent || exit; cd ..; done

dist: clean
	@${MKDIR} wmii-${VERSION}
	@${CP} ${SRC} wmii-${VERSION}
	@${MKDIR} wmii-${VERSION}/liblitz
	@${CP} liblitz/* wmii-${VERSION}/liblitz
	@${MKDIR} wmii-${VERSION}/libixp
	@${CP} -R libixp/* wmii-${VERSION}/libixp
	@${MKDIR} wmii-${VERSION}/libwmii
	@${CP} -R libwmii/* wmii-${VERSION}/libwmii
	@${MKDIR} wmii-${VERSION}/util
	@${CP} util/* wmii-${VERSION}/util
	@${MKDIR} wmii-${VERSION}/doc
	@${CP} ${DOC} wmii-${VERSION}/doc
	@${MKDIR} wmii-${VERSION}/rc
	@${CP} -R rc/* wmii-${VERSION}/rc
	@${MKDIR} wmii-${VERSION}/base
	@${CP} base/* wmii-${VERSION}/base
	@${MKDIR} wmii-${VERSION}/contrib
	@${CP} -R contrib/* wmii-${VERSION}/contrib
	@${TAR} -cf wmii-${VERSION}.tar wmii-${VERSION}
	@${COMPRESS} wmii-${VERSION}.tar
	@${RM} -rf wmii-${VERSION}
	@echo "wmii-${VERSION} created"

clean:
	@${RM} *~ *.o core
	@for i in ${SUBDIRS}; do cd $$i; ${MAKE} clean; cd ..; done
	@cd libixp/python; make clean; cd ../..
	@${RM} -r wmii-${VERSION}*

install_rc:
	@echo -------------------------------------------------------
	@echo Installing configuration files to ${DESTDIR}${CONFPREFIX}/wmii
	@${MKDIR} -p ${DESTDIR}${CONFPREFIX}/wmii/action
	@for i in ${RC}; do \
	${SED} 's|SHAREPREFIX|${SHAREPREFIX}|' <$$i >${DESTDIR}${CONFPREFIX}/wmii/`basename $$i`; \
	done
	@${CP} rc/action/* ${DESTDIR}${CONFPREFIX}/wmii/action
	@${MODBIN} ${DESTDIR}${CONFPREFIX}/wmii/action/*
	@${MODBIN} ${DESTDIR}${CONFPREFIX}/wmii/rc
	@${MODBIN} ${DESTDIR}${CONFPREFIX}/wmii/status.sh


install: all install_rc
	@echo Installing doc to ${DESTDIR}${SHAREPREFIX}/wmii
	@${MKDIR} -p ${DESTDIR}${SHAREPREFIX}/wmii
	@${INSTDATA} ${SHARE} ${DESTDIR}${SHAREPREFIX}/wmii
	@echo Installing executable files to ${DESTDIR}${PREFIX}/bin
	@${MKDIR} -p ${DESTDIR}${PREFIX}/bin
	@${INSTBIN} ${BIN} ${DESTDIR}${PREFIX}/bin
	@${RM} ${DESTDIR}${PREFIX}/bin/wmii
	@${SED} 's|CONFPREFIX|${CONFPREFIX}|' <base/wmii >${DESTDIR}${PREFIX}/bin/wmii
	@for i in ${DEST_BIN}; do ${MODBIN} ${DESTDIR}${PREFIX}/bin/$$i; done
	@echo Installing manual pages to ${DESTDIR}${MANPREFIX}/man1
	@${MKDIR} -p ${DESTDIR}${MANPREFIX}/man1
	@${INSTDATA} ${MAN1} ${DESTDIR}${MANPREFIX}/man1
	@${MODDATA} ${DESTDIR}${MANPREFIX}/man1/wmii.1
	@${MODDATA} ${DESTDIR}${MANPREFIX}/man1/wmir.1
	@${MODDATA} ${DESTDIR}${MANPREFIX}/man1/wmibar.1
	@${MKDIR} -p ${DESTDIR}${MANPREFIX}/man5
	@${INSTDATA} ${MAN5} ${DESTDIR}${MANPREFIX}/man5
	@${MODDATA} ${DESTDIR}${MANPREFIX}/man5/wmii.rc.5
	@echo "wmii successfully installed"

uninstall:
	@${RM} ${DESTDIR}${CONFPREFIX}/wmii/rc
	@for i in ${DEST_BIN}; do ${RM} ${DESTDIR}${PREFIX}/bin/$$i; done
	@for i in ${DEST_MAN}; do ${RM} ${DESTDIR}${MANPREFIX}/$$i; done
	${RM} -r ${DESTDIR}${CONFPREFIX}/wmii; done
	${RM} ${DESTDIR}${SHAREPREFIX}/wmii; done
	@echo "wmii successfully deinstalled"

########################################################################

=== base/Makefile ===
########################################################################
# base - window manager improved 2
#   (C)opyright MMIV-MMV Anselm R. Garbe
#

include ../config.mk

CFLAGS   += -I../liblitz -I../libixp -I../libwmii
LDFLAGS  += -L../liblitz -llitz -L../libixp -lixp ${CAIROFLAGS}\
            -L../libwmii -lwmii

SRC      = client.c core.c event.c mouse.c frame.c page.c tiled.c\
           grid.c vsplit.c max.c wmiiwm.c
OBJ      = ${SRC:.c=.o}

########################################################################
# Target definitions
#

.PREFIXES = .c .o

all: wmiiwm
	@echo Finished base
	@echo -------------------------------------------------------

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

wmiiwm: ${OBJ}
	@echo LD $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	@echo Cleaning base
	@${RM} wmiiwm *~ *.o *core

cosmetic:
	@${INDENT} *.c *.h

indent: cosmetic clean
	@echo Finished base cosmetic studio
	@echo -------------------------------------------------------

########################################################################

=== libixp/Makefile ===
########################################################################
# libixp - lib ixp protocol
#   (C)opyright MMIV-MMV Anselm R. Garbe
#

include ../config.mk

SRC = client.c message.c ramfs.c server.c

OBJ = ${SRC:.c=.o}

########################################################################
# Target definitions
#

.PREFIXES = .c .o

all: libixp
	@echo Finished libixp
	@echo -------------------------------------------------------

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

libixp: ${OBJ}
	@echo AR $@.a
	@${AR} $@.a ${OBJ}
	@${RANLIB} $@.a

clean:
	@echo Cleaning libixp
	@${RM} libixp.a *~ *.o *core

cosmetic:
	@${INDENT} *.c *.h

indent: cosmetic clean
	@echo Finished libixp cosmetic studio
	@echo -------------------------------------------------------

########################################################################

=== liblitz/Makefile ===
########################################################################
# liblitz - non wimp GUI toolkit
#   (C)opyright MMIV-MMV Anselm R. Garbe

include ../config.mk

CFLAGS   += -I../libixp
LDFLAGS  += -L../libixp -lixp

SRC      = array.c draw_${DRAW}.c util.c wm.c
OBJ      = ${SRC:.c=.o}

########################################################################
# Target definitions
#

.PREFIXES = .c .o

all: liblitz
	@echo Finished liblitz
	@echo -------------------------------------------------------

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} ${CAIROINC} $<

liblitz: ${OBJ}
	@echo AR $@.a
	@${AR} $@.a ${OBJ}
	@${RANLIB} $@.a

clean:
	@echo Cleaning liblitz
	@${RM} liblitz.a *~ *.o core

cosmetic:
	@${INDENT} *.c *.h

indent: cosmetic clean
	@echo Finished liblitz cosmetic studio
	@echo -------------------------------------------------------

########################################################################

=== libwmii/Makefile ===
########################################################################
# libwmii - mediator lib for wmii
#   (C)opyright MMIV-MMV Anselm R. Garbe
#

include ../config.mk

CFLAGS   += -I../liblitz -I../libixp
LDFLAGS  += -L../liblitz -llitz -L../libixp -lixp ${CAIROFLAGS}

SRC = ixputil.c

OBJ = ${SRC:.c=.o}

########################################################################
# Target definitions
#

.PREFIXES = .c .o

all: libwmii
	@echo Finished libwmii
	@echo -------------------------------------------------------

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

libwmii: ${OBJ}
	@echo AR $@.a
	@${AR} $@.a ${OBJ}
	@${RANLIB} $@.a

clean:
	@echo Cleaning libwmii
	@${RM} libwmii.a *~ *.o *core

cosmetic:
	@${INDENT} *.c *.h

indent: cosmetic clean
	@echo Finished libwmii cosmetic studio
	@echo -------------------------------------------------------

########################################################################

=== util/Makefile ===
########################################################################
# util - window manager improved 2 utilities
#   (C)opyright MMIV-MMV Anselm R. Garbe
#

include ../config.mk

CFLAGS   += -I../liblitz -I../libixp -I../libwmii
LDFLAGS  += -L../liblitz -llitz -L../libixp -lixp ${CAIROFLAGS}\
            -L../libwmii -lwmii

SRC_bar     = wmibar.c
OBJ_bar     = ${SRC_bar:.c=.o}

SRC_menu    = wmimenu.c
OBJ_menu    = ${SRC_menu:.c=.o}

SRC_r       = wmir.c
OBJ_r       = ${SRC_r:.c=.o}

SRC_fs      = wmifs.c
OBJ_fs      = ${SRC_fs:.c=.o}

SRC_keys     = wmikeys.c
OBJ_keys     = ${SRC_keys:.c=.o}

SRC_plumb   = wmiplumb.c
OBJ_plumb   = ${SRC_plumb:.c=.o}

SRC_warp    = wmiwarp.c
OBJ_warp    = ${SRC_warp:.c=.o}

########################################################################
# Target definitions
#

.PREFIXES = .c .o

all: wmibar wmimenu wmir wmifs wmikeys wmiplumb wmiwarp
	@echo Finished util
	@echo -------------------------------------------------------

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

wmibar: ${OBJ_bar}
	@echo LD $@
	@${CC} -o $@ ${OBJ_bar} ${LDFLAGS}

wmimenu: ${OBJ_menu}
	@echo LD $@
	@${CC} -o $@ ${OBJ_menu} ${LDFLAGS}

wmir: ${OBJ_r}
	@echo LD $@
	@${CC} -o $@ ${OBJ_r} ${LDFLAGS} -static

wmifs: ${OBJ_fs}
	@echo LD $@
	@${CC} -o $@ ${OBJ_fs} ${LDFLAGS}

wmikeys: ${OBJ_keys}
	@echo LD $@
	@${CC} -o $@ ${OBJ_keys} ${LDFLAGS}

wmiplumb: ${OBJ_plumb}
	@echo LD $@
	@${CC} -o $@ ${OBJ_plumb} ${LDFLAGS}

wmiwarp: ${OBJ_warp}
	@echo LD $@
	@${CC} -o $@ ${OBJ_warp} ${LDFLAGS}

clean:
	@echo Cleaning util
	@${RM} wmibar wmimenu wmir wmikeys wmiplumb wmifs\
	 wmiwarp *~ *.o *core

cosmetic:
	@${INDENT} *.c

indent: cosmetic clean
	@echo Finished util cosmetic studio
	@echo -------------------------------------------------------

########################################################################

=== libixp/python/Makefile ===
########################################################################
# libixp - lib ixp protocol
#   (C)opyright 2004 Christoph Wegscheider
#

DESTDIR=/
include ../../config.mk



########################################################################
# Target definitions
#


all: ixplib_build
	@echo Finished python bindings: ixplib
	@echo -------------------------------------------------------

install: ixplib_install


ixplib_build: 
	@echo PYTHON setup.py build
	@${PYTHON} setup.py build

ixplib_install: ixplib_build
	@echo Installing python bindings: ixplib
	@${PYTHON} setup.py install --prefix=${PREFIX} --root=${DESTDIR}

clean:
	@echo Cleaning python bindings: ixplib
	@${RM} -r build
	@${RM} *.o 
	@${RM} ixplib.c 

########################################################################

## wmii 3.1

=== Makefile ===
# wmii - window manager improved 2
#   (C)opyright MMIV-MMVI Anselm R. Garbe

include config.mk

SUBDIRS = libcext liblitz libixp cmd

BIN = cmd/wm/wmii cmd/wm/wmiiwm cmd/wmiimenu cmd/wmiipsel \
	cmd/wmiir cmd/wmiisetsid cmd/wmiiwarp

MAN1 = cmd/wm/wmii.1 cmd/wm/wmiiwm.1 \
	cmd/wmiimenu.1 cmd/wmiir.1

all:
	@echo wmii build options:
	@echo "LIBS     = ${LIBS}"
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"
	@for i in ${SUBDIRS} cmd/wm; do \
		(cd $$i; make) \
	done

dist: clean
	mkdir -p wmii-${VERSION}
	cp -R Makefile README LICENSE config.mk rc ${SUBDIRS} wmii-${VERSION}
	tar -cf wmii-${VERSION}.tar wmii-${VERSION}
	gzip wmii-${VERSION}.tar
	rm -rf wmii-${VERSION}

clean:
	rm -f *.o
	for i in ${SUBDIRS} cmd/wm; do \
		(cd $$i; make clean); \
	done
	rm -rf wmii-${VERSION}*

install: all
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f ${BIN} ${DESTDIR}${PREFIX}/bin
	@sed 's|CONFPREFIX|${CONFPREFIX}|g' <cmd/wm/wmii >${DESTDIR}${PREFIX}/bin/wmii
	@for i in ${BIN}; do \
		chmod 755 ${DESTDIR}${PREFIX}/bin/`basename $$i`; \
	done
	@echo installed executable files to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${CONFPREFIX}/wmii-3
	@cd rc; for i in *; do \
		sed 's|CONFPREFIX|${CONFPREFIX}|g' <$$i >${DESTDIR}${CONFPREFIX}/wmii-3/$$i; \
		chmod 755 ${DESTDIR}${CONFPREFIX}/wmii-3/$$i; \
	done
	@echo installed rc scripts to ${DESTDIR}${CONFPREFIX}/wmii-3
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@cp -f ${MAN1} ${DESTDIR}${MANPREFIX}/man1
	@sed 's|CONFPREFIX|${CONFPREFIX}|g' <cmd/wm/wmii.1 >${DESTDIR}${MANPREFIX}/man1/wmii.1
	@for i in ${MAN1}; do \
		chmod 444 ${DESTDIR}${MANPREFIX}/man1/`basename $$i`; \
	done
	@echo installed manual pages to ${DESTDIR}${MANPREFIX}/man1

uninstall:
	for i in ${BIN}; do \
		rm -f ${DESTDIR}${PREFIX}/bin/`basename $$i`; \
	done
	for i in ${MAN1}; do \
		rm -f ${DESTDIR}${MANPREFIX}/man1/`basename $$i`; \
	done
	rm -rf ${DESTDIR}${CONFPREFIX}/wmii-3

=== cmd/Makefile ===
# window manager improved 2 utilities
#   (C)opyright MMIV-MMVI Anselm R. Garbe

include ../config.mk

CFLAGS += -I../liblitz -I../libixp -I../libcext
LDFLAGS += -L../liblitz -llitz -L../libixp -lixp -L../libcext -lcext

SRC = wmiimenu.c wmiipsel.c wmiir.c wmiisetsid.c wmiiwarp.c
OBJ = ${SRC:.c=.o}

all: ${OBJ}
	@echo built wmii commands

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<
	@echo LD $*
	@${CC} -o $* $*.o ${LDFLAGS}

# Solaris
#	@${CC} -o $* $*.o ${LDFLAGS} -lsocket

clean:
	rm -f wmiimenu wmiir wmiipsel wmiiwarp wmiisetsid *.o

=== libcext/Makefile ===
# libcext - c extensions for wmii project
#   (C)opyright MMIV-MMVI Anselm R. Garbe

include ../config.mk

SRC = emallocz.c strlcat.c strlcpy.c strtonum.c tokenize.c trim.c vector.c 

OBJ = ${SRC:.c=.o}

.PREFIXES = .c .o

all: libcext.a
	@echo built libcext

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

$(OBJ): cext.h

libcext.a: ${OBJ}
	@echo AR $@
	@${AR} $@ ${OBJ}
	@${RANLIB} $@

clean:
	rm -f libcext.a *.o

=== libixp/Makefile ===
# libixp - lib ixp protocol
#   (C)opyright MMIV-MMVI Anselm R. Garbe

include ../config.mk

CFLAGS += -I ../libcext

SRC = client.c convert.c message.c server.c socket.c transport.c

OBJ = ${SRC:.c=.o}

all: libixp.a
	@echo built libixp

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

libixp.a: ${OBJ}
	@echo AR $@
	@${AR} $@ ${OBJ}
	@${RANLIB} $@

clean:
	rm -f libixp.a *.o

=== liblitz/Makefile ===
# liblitz - non wimp GUI toolkit
#   (C)opyright MMIV-MMVI Anselm R. Garbe

include ../config.mk

CFLAGS += -I../libixp -I../libcext
LDFLAGS += -L../libixp -lixp -L../libcext -lcext

SRC = color.c font.c draw.c geometry.c
OBJ = ${SRC:.c=.o}

all: liblitz.a
	@echo built liblitz

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

liblitz.a: ${OBJ}
	@echo AR $@
	@${AR} $@ ${OBJ}
	@${RANLIB} $@

clean:
	rm -f liblitz.a *.o

=== cmd/wm/Makefile ===
# wm - window manager improved 2
#   (C)opyright MMIV-MMVI Anselm R. Garbe

include ../../config.mk

CFLAGS   += -I../../liblitz -I../../libixp -I../../libcext
LDFLAGS  += -L../../liblitz -llitz -L../../libixp -lixp -L../../libcext -lcext -lm

# Solaris
# LDFLAGS += -lsocket

SRC      = area.c bar.c client.c column.c event.c frame.c fs.c key.c mouse.c \
			rule.c view.c wm.c
OBJ      = ${SRC:.c=.o}

all: wmiiwm
	@echo built core window manager

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: wm.h

wmiiwm: ${OBJ}
	@echo LD $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	rm -f wmiiwm *.o

## wmii 3.6~rc2+20070518

=== Makefile ===
ROOT=.
include ${ROOT}/mk/hdr.mk

DIRS =	libixp	\
	cmd	\
	rc	\
	man

include ${ROOT}/mk/dir.mk

=== cmd/Makefile ===
ROOT=..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/wmii.mk

wmiir.c: ${ROOT}/mk/wmii.mk

DIRS =	wmii
TARG =	wmii9menu \
	wmii9rc	  \
	wmiiloop  \
	wmiir	  \
	wmiistartrc

OFILES = util.o
FILTER = sed "s|CONFPREFIX|${ETC}|g; \
	      s|CONFVERSION|${CONFVERSION}|g; \
	      s|P9PATHS|${P9PATHS}|g; \
	      s|AWKPATH|${AWKPATH}|g"

include ${ROOT}/mk/many.mk
include ${ROOT}/mk/dir.mk

OWMIIR=wmiir.o ${OFILES} ${LIBIXP}
wmiir.O: ${OWMIIR}
	${LINK} $@ ${STATIC} ${OWMIIR}

EXCFLAGS=${INCX11}
wmii9menu.O: wmii9menu.o ${OFILES}
	${LINK} $@ $*.o ${OFILES} ${LIBX11}

=== man/Makefile ===
ROOT=..
include ${ROOT}/mk/hdr.mk

TARG =	wmii.1	   \
	wmiiloop.1 \
	wmiir.1	   \
	wmiiwm.1

FILTER = sed "s|CONFPREFIX|${ETC}|g; \
	      s|CONFVERSION|${CONFVERSION}|g; \
	      s|P9PATHS|${P9PATHS}|g; \
	      s|AWKPATH|${AWKPATH}|g"

include ${ROOT}/mk/man.mk

=== cmd/wmii/Makefile ===
ROOT= ../..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/wmii.mk

main.c: ${ROOT}/mk/wmii.mk

TARG =	wmii
HFILES=	dat.h fns.h

LIB =	${LIBIXP}
EXLDFLAGS = -lm ${LIBX11} -lXext
EXCFLAGS = ${INCX11}
OBJ =	area	\
	bar	\
	client	\
	column	\
	draw	\
	event	\
	frame	\
	fs	\
	geom	\
	key	\
	main	\
	mouse	\
	rule	\
	printevent\
	view	\
	../util

include ${ROOT}/mk/one.mk

## wmii 3.6+debian

=== Makefile ===
ROOT=.
include ${ROOT}/mk/hdr.mk

PDIRS = \
	cmd	\
	rc	\
	man

DIRS =	\
	libutf	\
	libfmt	\
	libbio	\
	libregexp\
	${PDIRS}

config:
	ROOT="${ROOT}" ${ROOT}/util/genconfig

deb-dep:
	apt-get -qq install build-essential debhelper libxext-dev x11proto-xext-dev libx11-dev

deb:
	dpkg-buildpackage -rfakeroot

include ${ROOT}/mk/dir.mk
INSTDIRS = ${PDIRS}

=== cmd/Makefile ===
--- 
+++ 
@@ -17,6 +17,9 @@
 	      s|P9PATHS|${P9PATHS}|g; \
 	      s|AWKPATH|${AWKPATH}|g"
 
+LDFLAGS += -lfmt -lutf
+CFLAGS += ${INCX11} -DVERSION=\"${VERSION}\"
+
 include ${ROOT}/mk/many.mk
 include ${ROOT}/mk/dir.mk
 
@@ -24,6 +27,5 @@
 wmiir.O: ${OWMIIR}
 	${LINK} $@ ${STATIC} ${OWMIIR}
 
-EXCFLAGS=${INCX11}
 wmii9menu.O: wmii9menu.o ${OFILES}
 	${LINK} $@ $*.o ${OFILES} ${LIBX11}

=== include/Makefile ===
ROOT= ..
include ${ROOT}/mk/hdr.mk

HFILES = ixp.h ixp_fcall.h

include ${ROOT}/mk/common.mk

=== libbio/Makefile ===
ROOT= ..
include ${ROOT}/mk/hdr.mk

VERSION=2.0
TARG=libbio

OBJ=\
	bbuffered\
	bfildes\
	bflush\
	bgetc\
	bgetd\
	bgetrune\
	binit\
	boffset\
	bprint\
	bvprint\
	bputc\
	bputrune\
	brdline\
	brdstr\
	bread\
	bseek\
	bwrite

include ${ROOT}/mk/lib.mk

=== libfmt/Makefile ===
ROOT= ..
include ${ROOT}/mk/hdr.mk

VERSION=2.0
TARG=libfmt

NUM=\
	charstod\
	pow10\
	nan64

OBJ=\
	dofmt\
	dorfmt\
	errfmt\
	fltfmt\
	fmt\
	fmtfd\
	fmtfdflush\
	fmtlock\
	fmtprint\
	fmtquote\
	fmtrune\
	fmtstr\
	fmtvprint\
	fprint\
	print\
	runefmtstr\
	runeseprint\
	runesmprint\
	runesnprint\
	runesprint\
	runevseprint\
	runevsmprint\
	runevsnprint\
	seprint\
	smprint\
	snprint\
	sprint\
	strtod\
	vfprint\
	vseprint\
	vsmprint\
	vsnprint\
	$(NUM)

include ${ROOT}/mk/lib.mk

=== libregexp/Makefile ===
ROOT= ..
include ${ROOT}/mk/hdr.mk

VERSION=2.0
TARG=libregexp9

OBJ=\
	regcomp\
	regerror\
	regexec\
	regsub\
	regaux\
	rregexec\
	rregsub

include ${ROOT}/mk/lib.mk

=== libutf/Makefile ===
ROOT= ..
include ${ROOT}/mk/hdr.mk

VERSION=2.0
TARG=libutf

OBJ=\
	rune\
	runestrcat\
	runestrchr\
	runestrcmp\
	runestrcpy\
	runestrdup\
	runestrlen\
	runestrecpy\
	runestrncat\
	runestrncmp\
	runestrncpy\
	runestrrchr\
	runestrstr\
	runetype\
	utfecpy\
	utflen\
	utfnlen\
	utfrrune\
	utfrune\
	utfutf

include ${ROOT}/mk/lib.mk

=== man/Makefile ===
--- 
+++ 
@@ -3,8 +3,7 @@
 
 TARG =	wmii.1	   \
 	wmiiloop.1 \
-	wmiir.1	   \
-	wmiiwm.1
+	wmiir.1
 
 FILTER = sed "s|CONFPREFIX|${ETC}|g; \
 	      s|CONFVERSION|${CONFVERSION}|g; \

=== rc/Makefile ===
ROOT=..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/wmii.mk

BIN = ${ETC}/wmii-${CONFVERSION}
TARG =	rc.wmii   \
	wmiirc    \
	welcome

FILTER = sed "s|CONFPREFIX|${ETC}|g; \
	      s|CONFVERSION|${CONFVERSION}|g; \
	      s|P9PATHS|${P9PATHS}|g; \
	      s|AWKPATH|${AWKPATH}|g"

include ${ROOT}/mk/many.mk

=== cmd/wmii/Makefile ===
ROOT= ../..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/wmii.mk

main.c: ${ROOT}/mk/wmii.mk

TARG =	wmii
HFILES=	dat.h fns.h x11.h

LIB =	${LIBIXP}
LDFLAGS += -lm ${LIBX11} -lXext ${LIBICONV} -lregexp9 -lbio -lfmt -lutf
CFLAGS += ${INCX11} ${INCICONV} -DVERSION=\"${VERSION}\"
OBJ =	area	\
	bar	\
	client	\
	column	\
	event	\
	frame	\
	fs		\
	geom	\
	key		\
	main		\
	map		\
	message	\
	mouse	\
	rule		\
	printevent\
	utf		\
	view		\
	x11		\
	../util

include ${ROOT}/mk/one.mk

## wmii 3.9.2+debian

=== Makefile ===
ROOT=.
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

PDIRS = \
	doc	     \
	man	     \
	cmd	     \
	libwmii_hack \
	rc	     \
	alternative_wmiircs

DIRS =	\
	libbio    \
	libfmt	  \
	libregexp \
	libutf	  \
	libixp	  \
	$(PDIRS)

DOCS = README \
       LICENSE

deb-dep:
	IFS=', '; \
	apt-get -qq install build-essential $$(sed -n 's/([^)]*)//; s/^Build-Depends: \(.*\)/\1/p' debian/control)

deb:
	dpkg-buildpackage -rfakeroot -b -nc

include ${ROOT}/mk/dir.mk
INSTDIRS = $(PDIRS)

=== cmd/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

wmiir.c: $(ROOT)/mk/wmii.mk

DIRS =	wmii \
	menu
TARG =	wihack    \
	wmii.rc   \
	wmii.sh   \
	wmii9menu \
	wmiir

OFILES = util.o

LIBS += $(LIBS9)
CFLAGS += $(INCX11)

include $(ROOT)/mk/many.mk
include $(ROOT)/mk/dir.mk

OWMIIR=wmiir.o $(OFILES) $(LIBIXP)
wmiir.out: $(OWMIIR)
	$(LINK) $@ $(OWMIIR)

wmii/x11.o wmii/xext.o wmii/geom.o wmii/map.o: dall
	true

O9MENU=wmii9menu.o clientutil.o wmii/x11.o wmii/xext.o wmii/geom.o wmii/map.o $(OFILES) $(LIBIXP)
wmii9menu.out: $(O9MENU)
	$(LINK) $@ $(O9MENU) $$(pkg-config --libs $(X11PACKAGES) xrandr xinerama) -lXext

=== libixp/Makefile ===
ROOT= ..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/ixp.mk

TARG =	libixp

OBJ =	client    \
	convert   \
	error     \
	map       \
	message   \
	request   \
	rpc       \
	server    \
	srv_util  \
	socket    \
	thread    \
	timer     \
	transport \
	util

include ${ROOT}/mk/lib.mk

=== libwmii_hack/Makefile ===
ROOT= ..
include ${ROOT}/mk/hdr.mk

hack.o hack.o_pic: util.c x11.c hack.h x11.h

CFLAGS += $(INCX11)
SOLDFLAGS += $(LIBX11)

TARG =	libwmii_hack
OBJ =	hack
#	util \
#	x11

include ${ROOT}/mk/so.mk

=== man/Makefile ===
ROOT=..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/wmii.mk

TARG =	wmii.1	   \
	wmiir.1	   \
	wmii9menu.1\
	wimenu.1

$(TARG): Makefile $(ROOT)/mk/wmii.mk header.t2t

include ${ROOT}/mk/man.mk

=== rc/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

BIN = $(ETC)/wmii$(CONFVERSION)
TARG =  wmiirc    \
	welcome

include $(ROOT)/mk/many.mk

=== test/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk

TARG =	grav

OFILES = ../cmd/util.o     \
	 ../cmd/wmii/map.o \
	 ../cmd/wmii/x11.o 

LDFLAGS += $(OFILES) -lfmt -lutf -lbio $(LIBX11) -lXext
CFLAGS += $(INCX11)

include $(ROOT)/mk/many.mk

=== cmd/click/Makefile ===
ROOT= ../..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/wmii.mk

main.c: ${ROOT}/mk/wmii.mk

TARG =	click
HFILES=	dat.h fns.h

PACKAGES += $(X11PACKAGES) xext xrandr xrender xinerama

LIB =	$(LIBIXP)
LIBS += -lm -lXtst $(LIBS9)
CFLAGS += -DVERSION=\"$(VERSION)\" -DIXP_NEEDAPI=86
OBJ =	main	\
	_util	\
	../wmii/map	\
	../wmii/x11	\
	../util

include ${ROOT}/mk/one.mk

=== cmd/menu/Makefile ===
ROOT= ../..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

main.c: $(ROOT)/mk/wmii.mk

bindings.c: keys.txt Makefile
	( echo "char binding_spec[] = "; \
	  sed 's/.*/	"&\\n"/' keys.txt; \
	  echo "	;" ) >bindings.c

TARG =	wimenu
HFILES=	dat.h fns.h

PACKAGES += $(X11PACKAGES) xext xrandr xrender xinerama

LIB =	$(LIBIXP)
LIBS += -lm $(LIBS9)
CFLAGS += -DIXP_NEEDAPI=86
OBJ =	main	\
	caret	\
	history	\
	event	\
	menu	\
	keys	\
	bindings \
	../wmii/geom	\
	../wmii/map	\
	../wmii/printevent	\
	../wmii/x11	\
	../wmii/xext	\
	../clientutil	\
	../util

include $(ROOT)/mk/one.mk

=== cmd/strut/Makefile ===
ROOT= ../..
include ${ROOT}/mk/hdr.mk
include ${ROOT}/mk/wmii.mk

main.c: ${ROOT}/mk/wmii.mk

TARG =	wistrut
HFILES=	dat.h fns.h

PACKAGES += $(X11PACKAGES) xext xrandr xinerama

LIB =	$(LIBIXP)
LIBS += -lm $(LIBS9)
CFLAGS += -DIXP_NEEDAPI=86
OBJ =	main	\
	event	\
	ewmh	\
	win	\
	_util	\
	../wmii/map	\
	../wmii/printevent \
	printevent_kludge \
	../wmii/x11	\
	../util

include ${ROOT}/mk/one.mk

=== cmd/wmii/Makefile ===
ROOT= ../..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

main.c: $(ROOT)/mk/wmii.mk

TARG =	wmii
HFILES=	dat.h fns.h

PACKAGES += $(X11PACKAGES) xext xrandr xrender xinerama

LIB =	$(LIBIXP)
LIBS += -lm $(LIBS9)

CFLAGS += $(INCICONV) -DIXP_NEEDAPI=97
OBJ =	area	\
	bar	\
	client	\
	column	\
	div	\
	error	\
	event	\
	ewmh	\
	float	\
	frame	\
	fs	\
	geom	\
	key	\
	layout	\
	main	\
	map	\
	message	\
	mouse	\
	print   \
	root	\
	rule	\
	printevent\
	screen	\
	_util	\
	view	\
	xdnd	\
	x11	\
	xext	\
	../util

include $(ROOT)/mk/one.mk

=== debian/changelog ===
wmii (3.9.2+debian-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Remove alternative dependency on dwm-tools as a part of dwm-tools
    -> suckless-tools transition because dwm-tools seems to be completely
    gone now.

 -- Jordan Mantha <laserjock@ubuntu.com>  Tue, 26 Jul 2011 20:46:41 -0700

wmii (3.9.2+debian-3) unstable; urgency=low

  * QA upload.
  * Add patch ld-no-add-needed.patch: Fix build failure with
    ld --no-add-needed. Thanks to Matthias Klose <doko@ubuntu.com> 
    for the patch! (closes: #606209)
  * Cosmetic changes in debian/rules; put additional files to clean
    into debian/clean.
  * Patch: manpage-actions-location.patch: fix location of global 
    action directory in the manpage (closes: #431942)

 -- Ralf Treinen <treinen@debian.org>  Wed, 06 Jul 2011 10:05:26 +0200

wmii (3.9.2+debian-2ubuntu2) natty; urgency=low

  * Remove alternative dependency on dwm-tools as a part of dwm-tools
    -> suckless-tools transition because dwm-tools seems to be completely
    gone now.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 25 Dec 2010 16:12:02 +0530

wmii (3.9.2+debian-2ubuntu1) natty; urgency=low

  * Fix build failure with ld --no-add-needed.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Dec 2010 13:06:53 +0100

wmii (3.9.2+debian-2) unstable; urgency=low

  * QA upload
  * Added build-dependencies to fix FTBFS: libxft-dev, libfreetype6-dev,
    libxrandr-dev, libxinerama-dev. Thanks to Nobuhiro Iwamatsu for the
    patch! Closes: #606070.
  
 -- Ralf Treinen <treinen@debian.org>  Mon, 06 Dec 2010 21:11:52 +0100

wmii (3.9.2+debian-1) unstable; urgency=low

  * Updating depends on suckless-tools, formerly dwm-tools.
  * Merging upstream version 3.9.2+debian.
  * Rediffing x-terminal-emulator.patch.
  * Rediffing cflags.patch.
  * Rediffing font.patch.
  * Removing manpage.patch, not required anymore.
  * Removing ixp-api.patch, not required anymore.
  * Updating rules file to remove useless files.
  * Removing another useless file through rules.
  * Updating standards version to 3.9.0.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.1.
  * Removing version from libixp build-depends, not needed anymore.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Nov 2010 21:24:05 +0100

wmii (3.6+debian-8) unstable; urgency=low

  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.
  * Adding README.source.
  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Sorting dh call in rules to more common order.
  * Updating README.source.
  * Making build-depends versioned where needed.
  * Moving maintainer homepage from control to copyright.
  * Removing mercurial files in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Thu, 08 Apr 2010 06:35:44 +0200

wmii (3.6+debian-7) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.
  * Updating package to standards version 3.8.3.
  * Sorting depends.
  * Correcting desktop file location.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Aug 2009 20:31:37 +0200

wmii (3.6+debian-6) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Using correct rfc-2822 date formats in changelog.
  * Prefixing debhelper files with package name.
  * Updating year in copyright file.
  * Adding description field in menu file.
  * Using quilt rather than dpatch.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Aug 2009 16:09:38 +0200

wmii (3.6+debian-5) unstable; urgency=low

  * Applying patch from James Westby <james.westby@canonical.com> to define
    IXP_NEEDAPI to 88, which is the required ixp API (Closes: #511954).

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 May 2009 10:01:00 +0200

wmii (3.6+debian-4) unstable; urgency=low

  * Bumped to new policy.
  * Updated menu file to new policy.
  * Removing empty directories.
  * Added patch to complete manpage headers.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 20:52:00 +0100

wmii (3.6+debian-3) unstable; urgency=low

  * Replaced not available fixed variant with plain 'fixed' font.

 -- Daniel Baumann <daniel@debian.org>  Fri, 23 Nov 2007 13:51:00 +0100

wmii (3.6+debian-2) unstable; urgency=low

  * Removing -std=c99 from CFLAGS, thanks to Dann Frazier <dannf@debian.org>
    (Closes: #452015).

 -- Daniel Baumann <daniel@debian.org>  Mon, 19 Nov 2007 21:25:00 +0100

wmii (3.6+debian-1) unstable; urgency=low

  * New upstream release.
  * Rebuild upstream tarball without conflicting debian directory.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Nov 2007 17:39:00 +0100

wmii (3.6~rc2+20070518-3) unstable; urgency=medium

  * Added libxext-dev to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Sep 2007 23:23:00 +0200

wmii (3.6~rc2+20070518-2) unstable; urgency=medium

  [ Don Armstrong ]
  * Fix wmiirc and wmiiloop.sh to properly populate keys and the commands
    to handle them (Closes: #423521)

 -- Daniel Baumann <daniel@debian.org>  Thu, 12 Jul 2007 11:37:00 +0200

wmii (3.6~rc2+20070518-1) unstable; urgency=low

  * New upstream snapshot.

 -- Daniel Baumann <daniel@debian.org>  Fri, 18 May 2007 09:08:00 +0200

wmii (3.6~rc2+20070501-2) unstable; urgency=low

  * Added lintian override.
  * Do not compile wmiir statically.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 May 2007 14:52:00 +0200

wmii (3.6~rc2+20070501-1) unstable; urgency=low

  * New upstream snapshot.
  * Minor cleanups.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 May 2007 09:10:00 +0200

wmii (3.6~rc2+20070329-3) unstable; urgency=low

  * Rebuild against fixed debhelper, see #420158 (Closes: #420119, #420146).

 -- Daniel Baumann <daniel@debian.org>  Sat, 21 Apr 2007 07:33:00 +0200



=== debian/control ===
Source: wmii
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8), libx11-dev, libxext-dev, libixp, libxt-dev,
 libxft-dev, libfreetype6-dev, libxrandr-dev, libxinerama-dev
Standards-Version: 3.9.1
Homepage: http://www.suckless.org/

Package: wmii
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, suckless-tools
Conflicts: wmii2
Replaces: wmii2
Recommends: wmii-doc
Provides: x-window-manager
Description: lightweight tabbed and tiled X11 window manager, version 3
 wmii is a dynamic window manager for X11, which is highly customizable and
 usable with keyboard and mouse. It supports conventional, tabbed and tiled
 window management with low memory usage. It is highly modularized and uses an
 inter-process communication interface which is oriented on the 9p protocol of
 plan9.
 .
 This package contains version 3 of the window manager, wmii2 contains version
 2.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_build:
	CFLAGS="$(CFLAGS)" $(MAKE) \
		PREFIX=/usr ETC=/etc/X11 LIBIXP=/usr/lib/libixp.a STATIC=""

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/wmii/usr \
		ETC=$(CURDIR)/debian/wmii/etc/X11 \
		LIBIXP=/usr/lib/libixp.a \
		install

	# Removing useless files
	rm -f debian/wmii/usr/share/doc/wmii/LICENSE
	rm -f debian/wmii/usr/share/doc/wmii/alternative_wmiircs/ruby/LICENSE

## wmii 3.10~20120413+hg2813

=== Makefile ===
ROOT=.
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

DIRS = \
	doc	     \
	examples     \
	man	     \
	lib	     \
	cmd	     \
	rc	     \
	alternative_wmiircs

DOCS = FAQ \
       LICENSE \
       README

deb-dep:
	IFS=', '; \
	apt-get -qq install build-essential $$(sed -n 's/([^)]*)//; s/^Build-Depends: \(.*\)/\1/p' debian/control)

DISTRO = unstable
deb:
	$(ROOT)/util/genchangelog wmii-hg $(VERSION) $(DISTRO)
	dpkg-buildpackage -rfakeroot -b -nc
	[ -d .hg ] && hg revert debian/changelog || true

include $(ROOT)/mk/dir.mk

=== alternative_wmiircs/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

BIN = $(GLOBALCONF)
DIRS =	python	\
	plan9port \
	ruby

DOCS   = README
DOCDIR = $(DOC)/alternative_wmiircs

include $(ROOT)/mk/dir.mk

=== cmd/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

wmiir.c: $(ROOT)/mk/wmii.mk

DIRS =	menu \
	strut \
	tray \
	wmii \
	x11
TARG =	wihack    \
	wmii.rc   \
	wmii.sh   \
	wmiir

LIBS += $(LIBS9) $(LIBIXP)

include $(ROOT)/mk/many.mk
include $(ROOT)/mk/dir.mk

=== doc/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

TARG =	wmii.pdf

all: $(TARG)

install: $(TARG:.pdf=.install)
uninstall: $(TARG:.pdf=.uninstall)

clean:; true

=== examples/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

DOCS   = wimenu-file-completion.sh
DOCDIR = $(DOC)/examples

=== include/Makefile ===
ROOT= ..
include $(ROOT)/mk/hdr.mk

HFILES = ixp.h ixp_fcall.h

include $(ROOT)/mk/common.mk

=== lib/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

PDIRS = \
	libwmii_hack

DIRS =	\
	libstuff  \
	libbio    \
	libfmt	  \
	libregexp \
	libutf	  \
	$(PDIRS)

include $(ROOT)/mk/dir.mk
INSTDIRS = $(PDIRS)

=== man/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

MANPAGES = wmii.1	   \
	   wmiir.1	   \
	   wmii9menu.1\
	   wihack.1   \
	   wimenu.1   \
	   wistrut.1  \
	   witray.1

$(TARG): Makefile $(ROOT)/mk/wmii.mk header.t2t

include $(ROOT)/mk/man.mk

=== rc/Makefile ===
ROOT=..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

BIN = $(GLOBALCONF)
TARG =  wmiirc    \
	welcome

include $(ROOT)/mk/many.mk

=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 OFILES = ../cmd/util.o     \
 	 ../cmd/wmii/map.o \
-	 ../cmd/wmii/x11.o 
+	 ../cmd/wmii/x11.o
 
 LDFLAGS += $(OFILES) -lfmt -lutf -lbio $(LIBX11) -lXext
 CFLAGS += $(INCX11)

=== alternative_wmiircs/plan9port/Makefile ===
ROOT=../..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

DOCS    = README
EXECS   = wmiirc

DIR    = $(GLOBALCONF)/plan9port
DOCDIR = $(DOC)/alternative_wmiircs/plan9port

=== alternative_wmiircs/python/Makefile ===
ROOT=../..
include $(ROOT)/mk/hdr.mk
include $(ROOT)/mk/wmii.mk

PYMODULES = pyxp pygmi

DOCS   = README
EXECS  = wmiirc
TEXT   = wmiirc.py

DIR    = $(GLOBALCONF)/python
DOCDIR = $(DOC)/alternative_wmiircs/python

include $(ROOT)/mk/python.mk

=== debian/changelog ===
wmii (3.10~20120413+hg2813-6ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/21-fix-ftbfs-with-binutils-gold.patch:
      + Add -ldl to fix FTBFS with binutils-gold

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 11 Dec 2013 10:51:15 +0100

wmii (3.10~20120413+hg2813-6) unstable; urgency=low

  * Set WMII_TERM to x-terminal-emulator, not xterm.
  * Fix building on m68k (and probably somewhere else).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 04 Dec 2013 22:34:00 +0100

wmii (3.10~20120413+hg2813-5) unstable; urgency=low

  * Update wmiirc to use new bar file structure (fixes Notice command).
  * Patch witray to reposition tray when primary display changes.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 02 Dec 2013 23:02:20 +0100

wmii (3.10~20120413+hg2813-4) unstable; urgency=low

  * Install libwmii_hack.so under a multiarchified private directory.
  * Link properly against libixp.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 30 Nov 2013 20:55:07 +0100

wmii (3.10~20120413+hg2813-3ubuntu1) saucy; urgency=low

  * debian/patches/fix-ftbfs-with-binutils-gold:
    - Add -ldl to fix FTBFS with binutils-gold

 -- Angel Abad <angelabad@ubuntu.com>  Fri, 12 Jul 2013 15:59:39 +0200

wmii (3.10~20120413+hg2813-3) unstable; urgency=low

  * Upload to unstable.
  * Drop a patch already applied upstream.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 08 May 2013 10:20:21 +0200

wmii (3.10~20120413+hg2813-2) experimental; urgency=low

  * Provide HOST_NAME_MAX on systems not having it (fixes FTBFS on
    kFreeBSD and Hurd).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 13 Apr 2013 09:37:36 +0200

wmii (3.10~20120413+hg2813-1) experimental; urgency=low

  * New maintainer (Closes: #606084).
  * New upstream release.
  * Fix the configuration files path in the manpage (Closes: #431942).
  * Removed autogenerated files.
  * Don't try to remove .hg* files.
  * Fix dpkg-shlibdeps warnings.
  * Bump Standards-Version to 3.9.4.
  * Suggest Python and Ruby.
  * Do a ldconfig call in postinst/postrm.
  * Add a manpage for wihack(1).
  * Fix the path in LD_PRELOAD for wihack.
  * Fix some markup in the manpages.
  * Build-depend on txt2tags to be able to regenerate manpages.
  * Added doc-base registration file.
  * Make the Unicode font default (Closes: #598630).
  * Remove an alternative dependency on dwm-tools.
  * Build-depend on python-all to ensure dh_python2 is available.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 12 Apr 2013 21:43:51 +0200

wmii (3.9.2+debian-4) unstable; urgency=low

  * QA upload.
  * Fix crashes when additional displays are added (backported patch from
    upstream, closes: #628575).

 -- Andrew O. Shadura <bugzilla@tut.by>  Mon, 16 Jul 2012 13:22:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: x11
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 8), libx11-dev, libxext-dev, libixp, libxt-dev,
- libxft-dev, libfreetype6-dev, libxrandr-dev, libxinerama-dev
-Standards-Version: 3.9.1
+XSBC-Original-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libixp-dev, libxt-dev,
+ libxft-dev, libfreetype6-dev, libxrandr-dev, libxinerama-dev, txt2tags, python-all
+Standards-Version: 3.9.4
 Homepage: http://www.suckless.org/
+Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/wmii
+Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/wmii/summary
 
 Package: wmii
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, suckless-tools
+Suggests: ${python:Depends}, ruby
 Conflicts: wmii2
 Replaces: wmii2
 Recommends: wmii-doc

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS := -Wall -W $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
ifeq "$(origin CC)" "default"
export CC := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-gcc
endif
export WMII_HGVERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\(hg.*\)\)-.*/\4/p')

%:
	dh $@ --with python2

override_dh_auto_build:
	CFLAGS="$(CFLAGS)" $(MAKE) CC="$(CC) -c" PREFIX=/usr ETC=/etc/X11 STATIC="" LIBDIR="/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/wmii"

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/wmii PREFIX=/usr ETC=/etc/X11 LIBDIR="/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/wmii" install
	# Removing useless files
	rm -f debian/wmii/usr/share/doc/wmii/LICENSE
	rm -f debian/wmii/usr/share/doc/wmii/alternative_wmiircs/ruby/LICENSE

override_dh_shlibdeps:
	dh_shlibdeps -Xlibwmii_hack

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	@d=$$(readlink -e $(MAKEFILE_LIST)); \
	cd $${d%/*}/..; \
	debian/get-orig-source.sh $(CURDIR)

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_installchangelogs get-orig-source
